# listRegistrations

List all registrations associated with a tenant along with the status of each registration

`GET /registrations`

**API:** The Avalara Registration and Licensing API
**Tag:** Registrations
**API Version:** 0.1.0
**Base URL:** https://api.avalara.com/orl

Source: https://developer.avalara.com/products/activation-service/api/methods/Registrations/listRegistrations/

## Description

Use this endpoint to retrieve a list of registrations for this tenant. You can filter this list by any fields present in the top level of the objects returned (list of filterable properties are available in the specification below). You can optionally specify to include a count of the total registrations in the response. The response returns all available registrations for this tenant along with the status for each. Statuses can be `InformationRequired`, `InProgress`, `Failure`, or `Completed`.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `RegistrationStatusFetchResults` |
| 400 |  |  |
| 401 |  |  |
| 403 |  |  |
| 404 |  |  |
| 500 |  |  |

### 200 Response: `RegistrationStatusFetchResults`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordSetCount` | integer | No | The record count value for this record Example: `1`. |
| `@nextLink` | string | No | Link provided for pagination Example: `https://api.avalara.com/orl/registrations?$filter='countryMandate eq AU-B2B-PEPPOL'&$top=10&$skip=10`. |
| `value` | RegistrationStatus[] | No |  |

## Example Request

```bash
curl -X GET "https://api.avalara.com/orl/registrations" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```